Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::AttributeSourceState Class Reference

This class holds the state of an AttributeSource. More...

`#include <AttributeSource.h>`

Inheritance diagram for Lucene::AttributeSourceState:

## Public Member Functions

virtual | ~AttributeSourceState ()
virtual String | getClassName ()
boost::shared_ptr< AttributeSourceState > | shared_from_this ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

AttributePtr | attribute
AttributeSourceStatePtr | next
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

This class holds the state of an AttributeSource.

See also
  #captureState
  #restoreState

## Constructor & Destructor Documentation

## ◆ ~AttributeSourceState()

virtual Lucene::AttributeSourceState::~AttributeSourceState | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::AttributeSourceState::_getClassName | ( |  | ) |

inline static

## ◆ clone()

virtual LuceneObjectPtr Lucene::AttributeSourceState::clone | ( | const LuceneObjectPtr & | other = LuceneObjectPtr() | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::AttributeSourceState::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< AttributeSourceState > Lucene::AttributeSourceState::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ attribute

AttributePtr Lucene::AttributeSourceState::attribute

protected

## ◆ next

AttributeSourceStatePtr Lucene::AttributeSourceState::next

protected

The documentation for this class was generated from the following file:

- AttributeSource.h

clucene.sourceforge.net